## yubikey-luks 0.3.3+3.ge11e4c1

=== Makefile ===
info:
	@echo "builddeb      - building debian package for Ubuntu 14.04LTS"
	@echo "ppa-dev       - upload to ppa launchpad. Development"
	@echo "ppa	     - upload to ppa launchpad. Stable"

VERSION=0.3.3
SRC_DIR = yubikey_luks.orig

debianize:
	rm -fr DEBUILD
	mkdir -p DEBUILD/${SRC_DIR}
	cp -r * DEBUILD/${SRC_DIR} || true
	(cd DEBUILD; tar -zcf yubikey-luks_${VERSION}.orig.tar.gz --exclude=${SRC_DIR}/debian  ${SRC_DIR})

builddeb:
	make debianize
	(cd DEBUILD/${SRC_DIR}; debuild)

ppa-dev:
	make debianize
	(cd DEBUILD/${SRC_DIR}; debuild -S)
	# Upload to launchpad:
	dput ppa:privacyidea/privacyidea-dev DEBUILD/yubikey-luks_${VERSION}-?_source.changes

ppa:
	make debianize
	(cd DEBUILD/${SRC_DIR}; debuild -S)
	# Upload to launchpad:
	dput ppa:privacyidea/privacyidea DEBUILD/yubikey-luks_${VERSION}-?_source.changes

=== debian/changelog ===
yubikey-luks (0.3.3+3.ge11e4c1-1) unstable; urgency=medium

  * Initial release. (Closes: #795982)

 -- Markus Frosch <lazyfrosch@debian.org>  Mon, 17 Aug 2015 11:47:27 +0200

=== debian/control ===
Source: yubikey-luks
Section: admin
Priority: extra
Maintainer: Markus Frosch <lazyfrosch@debian.org>
Build-Depends: debhelper (>= 9)
Standards-Version: 3.9.6
Homepage: https://github.com/cornelinux/yubikey-luks
Vcs-Browser: https://anonscm.debian.org/cgit/users/lazyfrosch/pkg-yubikey-luks.git/
Vcs-Git: git://anonscm.debian.org/users/lazyfrosch/pkg-yubikey-luks.git

Package: yubikey-luks
Architecture: all
Depends: cryptsetup, initramfs-tools, yubikey-personalization (>= 1.5), ${misc:Depends}
Description: YubiKey two factor authentication for LUKS disks
 With this extension to the initramfs-tools, you can unlock a LUKS encrypted
 disk using your YubiKey as a second factor.
 .
 The challenge-response mechanism of the YubiKey is used to generate a response
 based on a PIN/password you have to enter.
 .
 Only the combination of the correct password and the matching YubiKey will
 generate a response, that is a valid key of the LUKS disk. Alternatively
 you can use any other LUKS passphrase when the YubiKey is not present.

=== debian/rules ===
#! /usr/bin/make -f

%:
	dh $@

override_dh_auto_clean:
	dh_auto_clean
	rm -rf build/

override_dh_auto_build:
	install -D hook               build/hooks/yubikey-luks
	install -D script-top         build/scripts/local-top/yubikey-luks
	install -D script-bottom      build/scripts/local-bottom/yubikey-luks
	install -D key-script         build/ykluks-keyscript
	install -D yubiky-luks-enroll build/yubikey-luks-enroll

## yubikey-luks 0.5.1%2B29.g5df2b95

=== debian/changelog ===
yubikey-luks (0.5.1+29.g5df2b95-6.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Move aliased files from / to /usr (DEP17). (Closes: #1073697)

 -- Michael Biebl <biebl@debian.org>  Tue, 17 Sep 2024 11:41:33 +0200

yubikey-luks (0.5.1+29.g5df2b95-6.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Replace ‘Depends: cryptsetup-run’ with ‘Depends: cryptsetup’ as
    src:cryptsetup no longer ships the former (Closes: #1050680)

 -- Guilhem Moulin <guilhem@debian.org>  Mon, 28 Aug 2023 01:59:49 +0200

yubikey-luks (0.5.1+29.g5df2b95-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:58:53 +0200

yubikey-luks (0.5.1+29.g5df2b95-6) unstable; urgency=medium

  * [4a7b14f] patch: Stop exposing challenge in process list (Closes: #984709)

 -- Markus Frosch <lazyfrosch@debian.org>  Mon, 08 Mar 2021 20:27:04 +0100

yubikey-luks (0.5.1+29.g5df2b95-5) unstable; urgency=medium

  * [82ebd58] d/control: Set maintainer address to authentication team
    (Closes: #979065)

 -- Markus Frosch <lazyfrosch@debian.org>  Sat, 02 Jan 2021 17:39:12 +0100

yubikey-luks (0.5.1+29.g5df2b95-4) unstable; urgency=medium

  [ Markus Frosch ]
  * [6fd9f9d] Switch to salsa-ci config

  [ Debian Janitor ]
  * [bb3a508] Bump debhelper from old 11 to 12.
  * [5a74026] Set debhelper-compat version in Build-Depends.
  * [0fb85b0] Set upstream metadata fields: Bug-Database, Bug-Submit.

  [ Markus Frosch ]
  * [93a1024] Bump Standards Version to 4.5.1 and debhelper to 13

 -- Markus Frosch <lazyfrosch@debian.org>  Sat, 02 Jan 2021 13:21:45 +0100

yubikey-luks (0.5.1+29.g5df2b95-3) unstable; urgency=medium

  * Rebuild for source-only upload

 -- Markus Frosch <lazyfrosch@debian.org>  Sun, 29 Dec 2019 16:48:19 +0100

yubikey-luks (0.5.1+29.g5df2b95-2) unstable; urgency=medium

  [ Kaylie VonRueden ]
  * [8129447] yubikey-luks-open should be in $PATH

  [ Markus Frosch ]
  * [a06de1a] Add gitlab-ci config
  * [1f099da] Recommend expect for yubikey-luks-open (Closes: #946370)
  * [ff2d306] Only depend on cryptsetup-run and recommend cryptsetup-initramfs
    (Closes: #916314)

 -- Markus Frosch <lazyfrosch@debian.org>  Sat, 28 Dec 2019 20:50:53 +0100

yubikey-luks (0.5.1+29.g5df2b95-1) unstable; urgency=medium

  [ Nicolas Braud-Santoni ]
  * [8f36458] Replace dh_clean step with a patch
  * New upstream version 0.5.1 (2017-11-26) (Closes: #912442)
  * Add myself to uploaders
  * Install files for suspend support
    The integration scripts from upstream only support systemd; this should
    be fixed ASAP, and I will open a bug once this version hit the archive.

  * Comply with policy 4.1.4
    + Replace Priority: extra with optional
    + Switch to debhelper 11
  * Replace custom debian/rules with debian/install
  * Move packaging repository to salsa.d.o
  * Remove obsolete, Debian manpage (upstream ships an up-to-date one)

  [ Markus Frosch ]
  * [af09266] Detect path of crypttab in initramfs [patch]
  * [5ea2ae2] Disable yubikey-luks-suspend.service by default
  * [53c8f3d] Add warning about yubikey-luks-suspend.service
  * [76850f2] New upstream version 0.5.1+29.g5df2b95
    (Closes: #911734) (Closes: #904162)
  * [ebf80df] Remove obsolete patches
  * [9577dc0] initramfs: No longer install top/bottom scripts
  * [301ce09] Add NEWS about required keyscript

 -- Markus Frosch <lazyfrosch@debian.org>  Wed, 23 Jan 2019 13:48:51 +0100

## yubikey-luks 0.5.1+29.g5df2b95

=== Makefile ===
--- 
+++ 
@@ -1,9 +1,10 @@
 info:
-	@echo "builddeb      - building debian package for Ubuntu 14.04LTS"
-	@echo "ppa-dev       - upload to ppa launchpad. Development"
-	@echo "ppa	     - upload to ppa launchpad. Stable"
+	@echo "builddeb [NO_SIGN=1]  - build deb package for Ubuntu LTS [NO_SIGN disables signing]"
+	@echo "clean                 - clean build directory DEBUILD"
+	@echo "ppa-dev               - upload to ppa launchpad. Development"
+	@echo "ppa                   - upload to ppa launchpad. Stable"
 
-VERSION=0.3.3
+VERSION=0.5.1
 SRC_DIR = yubikey_luks.orig
 
 debianize:
@@ -14,7 +15,11 @@
 
 builddeb:
 	make debianize
+ifndef NO_SIGN
 	(cd DEBUILD/${SRC_DIR}; debuild)
+else
+	(cd DEBUILD/${SRC_DIR}; debuild -uc -us)
+endif
 
 ppa-dev:
 	make debianize
@@ -28,4 +33,5 @@
 	# Upload to launchpad:
 	dput ppa:privacyidea/privacyidea DEBUILD/yubikey-luks_${VERSION}-?_source.changes
 
-
+clean:
+	rm -fr DEBUILD

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,15 @@
 Source: yubikey-luks
 Section: admin
-Priority: extra
-Maintainer: Markus Frosch <lazyfrosch@debian.org>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.6
+Priority: optional
+Maintainer: Yubikey-LUKS Maintainers <yubikey-luks@tracker.debian.org>
+Uploaders:
+	Markus Frosch <lazyfrosch@debian.org>,
+	Nicolas Braud-Santoni <nicolas@braud-santoni.eu>
+Build-Depends: debhelper (>= 11), dh-exec
+Standards-Version: 4.1.4
 Homepage: https://github.com/cornelinux/yubikey-luks
-Vcs-Browser: https://anonscm.debian.org/cgit/users/lazyfrosch/pkg-yubikey-luks.git/
-Vcs-Git: git://anonscm.debian.org/users/lazyfrosch/pkg-yubikey-luks.git
+Vcs-Browser: https://salsa.debian.org/auth-team/yubikey-luks
+Vcs-Git: https://salsa.debian.org/auth-team/yubikey-luks.git
 
 Package: yubikey-luks
 Architecture: all

=== debian/watch ===
version=3
# filenamemangle -> prepending softwarename if only tag name
# versionmangle  -> convert version addition to ~ version
opts=filenamemangle=s/.+\/(?:yubikey-luks-|v)([\d.]+(?:-.+)?).tar.gz/yubikey-luks-$1.tar.gz/,versionmangle=s/^([\d.]+)-(.+)?/$1~$2/ \
https://github.com/cornelinux/yubikey-luks/releases .*/(?:yubikey-luks-|v)?([\d.]+(?:-.+)?).tar.gz
